function newSndb01080Control(pageName, doctx="[data-doctx='sndb01080']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "advntceSndng"
        , prefixName: "사전통지 발송 상세 현황"
        , dataGetter: obj => obj["List"]
        , keys: ["SNDNG_DTL_ID"]
        , appendData: true
        , urls: {
            load: "/list.do"
        }
        , formats: {
              SNDNG_YMD: dateFormat
            , SNDNG_END_YMD: dateFormat
            , DLVR_YMD: dateFormat
            , LEVY_YMD: dateFormat
            , DUDT_YMD: dateFormat
            , FFNLG_AMT: numberFormat
            , PCPTAX: numberFormat
            , ADAMT: numberFormat
            , LAST_AMT: numberFormat
            , REG_DT: datetimeFormat
            , MDFCN_DT: datetimeFormat
        }
    });

    // 검색 조건
    ctrl.query = { pageNum: 1, fetchSize: DEFAULT_FETCH_SIZE };                 // 1 페이지당 자료 건수 index.jsp에서 확인
    // paging
    ctrl.pagingSupport = new FimsPagingSupport({
          ctrl: ctrl                                                            // DatasetControl
        , ignoreCtrlPrefix: true                                                // ctrl.prefix 가 있더라도 무시
        , linkContainer: "[name='dataPaging']"                                  // <ul class="pagination pagination-primary" name="dataPaging">
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    ctrl.onDatasetChange = (obj, option) => {
        // 데이터 셋
        let dataList = ctrl.dataset;
        let empty = dataList.empty;

        let replacer = (str, dataItem) => str
            .replace(/{onclick}/gi, "pageObject['" + pageName + "'].dataTableClick('{data-index}');")
            .replace(/{ondblclick}/gi, "pageObject['" + pageName + "'].dataTableDblClick('{data-index}');");

        let trs = empty ?
                      [ctrl.find("[name='tmpltNotFound']").innerHTML]
                    : dataList.inStrings(ctrl.find("[name='tmpltRows']").innerHTML, replacer);

        let noMore = (dataList.length >= obj["Paging"]?.totalSize);             // 전체 건수
        let initScroll = (ctrl.query.pageNum < 2);

        if (option != null && option.reloaded) {
            initScroll = false;
        }

        // dataTables(그리드)에 자료 표시 td
        ctrl.find("[name='tableRspns']").changeContent(trs.join(), initScroll, noMore);

        // dataTables(그리드)에 페이지 표시 pagingInfo
        ctrl.pagingSupport.setPagingInfo(obj);

        // 보안모드
        fn_securityModeToggle($("#securityMode--top").is(":checked"));
    };

    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        Apply.fromDataset.currentRow(ctrl.dataset, item, ctrl.find("[name='tbodyList']"));
    };

    return ctrl;
}
